<?php
// Author: Andrew Bose, Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: dhcpdDynamicAdd.php,v 1.8 2000/08/17 08:54:24 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-dhcpd", "/base/dhcpd/dhcpdDynamicAddHandler.php");

$page = $factory->getPage();

$block = $factory->getPagedBlock("addNewDynamic");

$block->addFormField(
  $factory->getIpAddress("ipAddressLowField"),
  $factory->getLabel("ipAddressLowField")
);

$block->addFormField(
  $factory->getIpAddress("ipAddressHiField"),
  $factory->getLabel("ipAddressHiField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton("/base/dhcpd/dhcpdList.php"));

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
