<?php
// Author: Andrew Bose, Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: dhcpdDynamicMod.php,v 1.5 2000/08/17 08:54:24 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-dhcpd", "/base/dhcpd/dhcpdDynamicModHandler.php");

// get assignment
$oids = $cceClient->find("DhcpDynamic", array("ipaddrlo" => $ipaddrlo));
$dynamic = $cceClient->get($oids[0]);

$page = $factory->getPage();

$block = $factory->getPagedBlock("modDynamicAddress");

$block->addFormField(
  $factory->getIpAddress("ipAddressLowField", $dynamic["ipaddrlo"]),
  $factory->getLabel("ipAddressLowField")
);

$block->addFormField(
  $factory->getIpAddress("ipAddressHiField", $dynamic["ipaddrhi"]),
  $factory->getLabel("ipAddressHiField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton("/base/dhcpd/dhcpdList.php"));

$ipLowOldField = $factory->getIpAddress("ipLowOldField", $dynamic["ipaddrlo"], ""); 
$ipHiOldField = $factory->getIpAddress("ipHiOldField", $dynamic["ipaddrhi"], "");

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>
<?php print($ipLowOldField->toHtml()); ?>
<?php print($ipHiOldField->toHtml()); ?>
<?php print($page->toFooterHtml()); ?>
