<?php
// Author: Andrew Bose 
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: dhcpdHandler.php,v 1.7 2000/09/15 01:03:53 thockin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

$cceClient->setObjectForce("DhcpParam", array(
	"enabled" => $enableServerField, 
	"domainname" => $domainNameField, 
	"dns" => $dnsAddressesField, 
	"netmask" => $subnetMaskField, 
	"gateway" => $gatewayField, 
	"lease" => $maxLeaseField));
$errors = $cceClient->errors();

print($serverScriptHelper->toHandlerHtml("/base/dhcpd/dhcpd.php", $errors, 
	"base-dhcpd"));

$serverScriptHelper->destructor();
?>
