<?php
// Author: Andrew Bose, Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: dhcpdStaticMod.php,v 1.5 2000/08/17 08:54:24 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-dhcpd", "/base/dhcpd/dhcpdStaticModHandler.php");

// get assignment 
$oids = $cceClient->find("DhcpStatic", array("ipaddr" => $ipaddr));
$static = $cceClient->get($oids[0]);


$page = $factory->getPage();

$block = $factory->getPagedBlock("modStaticAddress");

$block->addFormField(
  $factory->getIpAddress("ipAddressField", $static["ipaddr"]),
  $factory->getLabel("ipAddressField")
);

$block->addFormField(
  $factory->getMacAddress("macAddressField", $static["mac"]),
  $factory->getLabel("macAddressField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton("/base/dhcpd/dhcpdList.php"));

$ipOldField = $factory->getIpAddress("ipOldField", $static["ipaddr"], "");
$macOldField = $factory->getMacAddress("macOldField", $static["mac"], "");

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>
<?php print($ipOldField->toHtml()); ?>
<?php print($macOldField->toHtml()); ?>
<?php print($page->toFooterHtml()); ?>
