<?php
// Author: Andrew Bose, Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: dhcpdStaticAdd.php,v 1.9 2000/08/17 08:54:24 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-dhcpd", "/base/dhcpd/dhcpdStaticAddHandler.php");

$page = $factory->getPage();

$block = $factory->getPagedBlock("addNewStatic");

$block->addFormField(
  $factory->getIpAddress("ipAddressField"),
  $factory->getLabel("ipAddressField")
);

$block->addFormField(
  $factory->getMacAddress("macAddressField"),
  $factory->getLabel("macAddressField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton("/base/dhcpd/dhcpdList.php"));

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
